<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:fo="http://www.w3.org/1999/XSL/Format" 
  xmlns:dc="http://purl.org/dc/elements/1.1/" 
  xmlns:oai_dc="http://www.openarchives.org/OAI/2.0/oai_dc/">
    <xsl:output method="html"/>
      

    <xsl:template match="dc:dc|dc:dublinCore|oai_dc:dc|oai_dc:oai_dc|dc:dublincore">
      <fieldset>
        <h5>
          <xsl:if test="child::*[local-name()='title']"><xsl:value-of select="child::*[local-name()='title']"/></xsl:if>
        </h5>
        <xsl:if test="child::*[local-name()='description']"><p><xsl:value-of select="child::*[local-name()='description']"/></p></xsl:if>
        <xsl:if test="child::*[local-name()='identifier']">
          <p>
            <xsl:element name="a">
              <xsl:attribute name="href">
                <xsl:value-of select="child::*[local-name()='identifier']"/>
              </xsl:attribute>
              <xsl:attribute name="target">
                _blank
              </xsl:attribute>
              (Voir)
            </xsl:element>
          </p>
        </xsl:if>
        <br/>
        <ul id="level1" class="tree">
          <li class="closed">
            <a>Descripteur</a>
            <ul>
              <li class="closed"><a>DublinCore</a> 
              <xsl:call-template name="DCTree"/>
            </li>
          </ul>
        </li>
      </ul>
      
    </fieldset>
  </xsl:template>
 

    <!-- fin header -->

      <xsl:template name="DCTree">
	<ul>
          <xsl:if test="child::*[local-name()='title']"><li><a>Title: <xsl:value-of select="child::*[local-name()='title']"/></a></li></xsl:if>
          <xsl:if test="child::*[local-name()='subject']"><li><a>Subject:<xsl:value-of select="child::*[local-name()='subject']"/></a></li></xsl:if>
          <xsl:if test="child::*[local-name()='contributor']"><li><a>Contributor: <xsl:value-of select="child::*[local-name()='contributor']"/></a></li></xsl:if>
          <xsl:if test="child::*[local-name()='coverage']"><li><a>Coverage: <xsl:value-of select="child::*[local-name()='coverage']"/></a></li></xsl:if>
          <xsl:if test="child::*[local-name()='creator']"><li><a>Creator: <xsl:value-of select="child::*[local-name()='creator']"/></a></li></xsl:if>
          <xsl:if test="child::*[local-name()='date']"><li><a>Date: <xsl:value-of select="child::*[local-name()='date']"/></a></li></xsl:if>
          <xsl:if test="child::*[local-name()='description']"><li><a>Description: <xsl:value-of select="child::*[local-name()='description']"/></a></li></xsl:if>
          <xsl:if test="child::*[local-name()='foramt']"><li><a>Format: <xsl:value-of select="child::*[local-name()='format']"/></a></li></xsl:if>
          <xsl:if test="child::*[local-name()='identifier']"><li><a>Identifier: <xsl:value-of select="child::*[local-name()='identifier']"/></a></li></xsl:if>
          <xsl:if test="child::*[local-name()='language']"><li><a>Language: <xsl:value-of select="child::*[local-name()='language']"/></a></li></xsl:if>
          <xsl:if test="child::*[local-name()='publisher']"><li><a>Publisher: <xsl:value-of select="child::*[local-name()='publisher']"/></a></li></xsl:if>
          <xsl:if test="child::*[local-name()='relation']"><li><a>Relation: <xsl:value-of select="child::*[local-name()='relation']"/></a></li></xsl:if>
          <xsl:if test="child::*[local-name()='rights']"><li><a>Rights: <xsl:value-of select="child::*[local-name()='rights']"/></a></li></xsl:if>
          <xsl:if test="child::*[local-name()='source']"><li><a>Source: <xsl:value-of select="child::*[local-name()='source']"/></a></li></xsl:if>
          <xsl:if test="child::*[local-name()='type']"><li><a>Type: <xsl:value-of select="child::*[local-name()='type']"/></a></li></xsl:if>
	</ul>
      </xsl:template>
     
      
    </xsl:stylesheet>
               